* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --cor-primaria: #4B0082; /* Indigo */
    --cor-secundaria: #6A0DC3; /* Purple */
    --cor-terciaria: #8A2BE2; /* Blue Violet */
    --neutro: #2E2E2E; /* Dark Gray */
    --preto: #0C0C0C; /* Very Dark Gray */
    --branco: #fafafa;
    --fonte-titulo: "Cinzel", serif; /* Clássico e elegante */
    --fonte-texto: "Montserrat", sans-serif; /* Limpo e moderno */
    --degrade-fantasia: linear-gradient(180deg, #1E1E78 0%, #4B0082 100%); /* Dark Blue to Indigo */
}

body {
    background: var(--degrade-fantasia);
    background-repeat: no-repeat;
    height: 100vh;
    justify-content: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

main {
    margin-top: 5%;
    color: var(--branco);
    background-color: var(--neutro);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2rem;

    width: 50%;
    height: 50%;
    

    border-radius: 16px;
}
h1{
    font-size: 2.5rem;
    margin-top: 2.5%;
}
.input-texto{
    color: var(--neutro);
    background-color: var(--branco);

    width: 75%;
    height: 10%;

    border-radius: 1rem;
    text-align: center;

    font-weight: bold;

    outline: none;
    
    font-size: 1.25rem;
}
.botao{
    color: var(--neutro);
    background-color: var(--branco);

    width: 50%;
    height: 10%;

    border-radius: 1rem;

    font-weight: bold;
    cursor: pointer;
    
    font-size: 1.25rem;
}
.container-resposta{
    width: 75%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 2.5%;

}
.texto-resposta{
    width: 75%;
    font-weight: bold;
    font-size: 1.75rem;
    text-align: center;
    
}

footer{
    margin-top: 5%;
    
    display: flex;
    align-items: center;

    color: var(--branco);

    gap: 8px;

    font-weight: bold;
    margin-bottom: 5%;
}

.imagem-github{
    color: #FFFFFF;
    width: 128px;
    height: 128px;
}
footer a{
    text-decoration: none;
    color: var(--branco);
}

/*Mobile*/

@media (max-width:480px) { 
    main {
        width: 75%;
        height: 50%;
    }
    h1{
        font-size: 1.75rem;
    }
    .texto-resposta{
        font-weight: bold;
        font-size: 1.25rem;
    }
    footer{
        font-size: 1.25rem;
    }
    .imagem-github{
        width: 48px;
        height: 48px;
    }
}


@media (min-width:481px) and (max-width:767px) {
    
    main {
        width: 75%;
    }
    h1{
        font-size: 2rem;
    }
    .texto-resposta{
        font-weight: bold;
        font-size: 1.5rem;
    }
    footer{
        font-size: 1.5rem;
    }
    .imagem-github{
        width: 64px;
        height: 64px;
    }
}

@media (min-width:768px) and (max-width:991px) {
    main {
        width: 75%;
    }
    h1{
        font-size: 2.25rem;
    }
    .texto-resposta{
        font-weight: bold;
        font-size: 1.75rem;
    }
    footer{
        font-size: 1.75rem;
    }
    .imagem-github{
        width: 80px;
        height: 80px;
    }
}

@media (min-width:992px) and (max-width:1199px) {
    main {
        width: 75%;
    }
    h1{
        font-size: 2.5rem;
    }
    .texto-resposta{
        font-weight: bold;
        font-size: 2rem;
    }
    footer{
        font-size: 2rem;
    }
    .imagem-github{
        width: 96px;
        height: 96px;
    }
}

@media (min-width:1200px) and (max-width:1919px) {
    main {
        width: 60%;
    }
    h1{
        font-size: 2.5rem;
    }
    .texto-resposta{
        font-weight: bold;
        font-size: 2rem;
    }
    footer{
        font-size: 2rem;
    }
    .imagem-github{
        width: 112px;
        height: 112px;
    }
}

@media (min-width:1920px) {
    main {
        width: 60%;
    }
    h1{
        font-size: 2.75rem;
    }
    .texto-resposta{
        font-weight: bold;
        font-size: 2.25rem;
    }
    footer{
        font-size: 2.25rem;
    }
} 